Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jrex.window
Class JRexBrowserData

    java.lang.Object
      org.mozilla.jrex.window.JRexBrowserData

public class JRexBrowserData
extends Object

A data class to hold all the browser component related data.

Version:
  1.0
Author:
  C.N.Medappa

Constructor Summary
`JRexBrowserData(JRexCanvas browser, Container parent, Container rootParent, Window window, long chromeFlags)`
`JRexBrowserData(JRexCanvas browser, Container parent, Container rootParent, Window window, long chromeFlags, Object addData)`

Method Summary
`Object` | `getAdditionalData()` Get any additional data that may be associated with the browser component.
`JRexCanvas` | `getBrowser()` Get JRexCanvas browser component of JRexBrowserData.
`long` | `getChromeFlags()` Get the Chrome Flags for the browser component.
`Container` | `getParent()` Get the Parent Container containing the JRexCanvas.
`Container` | `getRootParent()` Get the root Parent Container containing the JRexCanvas.
`Window` | `getWindow()` Get the window containing the JRexCanvas.
`void` | `setAdditionalData(Object addData)` Set any additional data that may be associated with the browser component.
`void` | `setChromeFlags(long chromeFlags)` Set the Chrome Flags for the browser component.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JRexBrowserData

    public JRexBrowserData(JRexCanvas browser,
                           Container parent,
                           Container rootParent,
                           Window window,
                           long chromeFlags,
                           Object addData)

### JRexBrowserData

    public JRexBrowserData(JRexCanvas browser,
                           Container parent,
                           Container rootParent,
                           Window window,
                           long chromeFlags)

Method Detail

### getBrowser

    public JRexCanvas getBrowser()

  Get JRexCanvas browser component of JRexBrowserData.

### getWindow

    public Window getWindow()

  Get the window containing the JRexCanvas.

### getParent

    public Container getParent()

  Get the Parent Container containing the JRexCanvas.

### getRootParent

    public Container getRootParent()

  Get the root Parent Container containing the JRexCanvas.

### getChromeFlags

    public long getChromeFlags()

  Get the Chrome Flags for the browser component.

### setChromeFlags

    public void setChromeFlags(long chromeFlags)

  Set the Chrome Flags for the browser component.

### getAdditionalData

    public Object getAdditionalData()

  Get any additional data that may be associated with the browser component.

### setAdditionalData

    public void setAdditionalData(Object addData)

  Set any additional data that may be associated with the browser component.

### toString

    public String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 C.N.Medappa. All Rights Reserved.